Bug 13890 - exim -qqf doesn't reuse SMTP connections
exim -qqf doesn't reuse SMTP connections
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: exim (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-13 05:45 EDT by chris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-21 11:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris 2000-07-13 05:45:38 EDT
When flushing the queue, if multiple messages are destined for the same
SMTP host, exim should send all of them down the same SMTP connection. 
However, running 'exim -qqf' doesn't do this - a separate SMTP session is
started up for each message.

The exim author has provided the following fix:

--- exim-3.13/src/transports/smtp-old.c	Thu Jan 13 15:00:17 2000
+++ exim-3.13/src/transports/smtp.c	Tue Jul 11 12:04:14 2000
@@ -1615,7 +1615,7 @@
     we don't actually want to attempt any deliveries. When doing a queue
run,
     queue_smtp_domains is unset. */
 
-    if (!deliver_force && (queue_smtp ||
+    if ((!deliver_force || queue_2stage) && (queue_smtp ||
         match_isinlist(addrlist->domain,
&queue_smtp_domains,TRUE,TRUE,NULL)))
       {
       expired = FALSE;
Comment 1 Tim Powers 2000-07-13 14:35:23 EDT
Thanks. The patch has been applied and should show up in the exim-3.13-11
package in rawhide.

Tim
Comment 2 chris 2000-07-21 11:32:59 EDT
Great, thanks.  Though exim-3.16 has just been released, which includes fixes
for both this and bug #13539, so maybe it's best to go for that?

Cheers,
Chris.

Note You need to log in before you can comment on or make changes to this bug.